"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CONTAINERS = exports.LIQUIDITY = exports.URI = void 0;
exports.URI = "http://localhost:8545";
exports.LIQUIDITY = {
    bat: "0x2e642b8d59b45a1d8c5aef716a84ff44ea665914",
    dai: "0x2a1530C4C41db0B0b2bB646CB5Eb1A67b7158667",
};
exports.CONTAINERS = {
    geth: () => {
        return {
            Image: "ethereum/client-go",
            Cmd: [],
            name: "create-web3-app",
            PortBindings: {
                "8545/tcp": [{ HostPort: "8545" }],
                "8546/tcp": [{ HostPort: "8546" }],
                "30303/udp": [{ HostPort: "30304" }],
            },
            v: "~/.create-web3-app:/geth",
        };
    },
    ganache: (argv) => {
        return {
            Image: "trufflesuite/ganache-cli",
            Cmd: [
                "ganache-cli",
                `--fork="${argv.url}"`,
                "--hostname=0.0.0.0",
                argv.mnemonic ? `--mnemonic="${argv.mnemonic}"` : "",
                "--quiet",
                ...Object.values(exports.LIQUIDITY).map((address) => `--unlock="${address}"`),
            ],
            name: "create-web3-app",
            PortBindings: {
                "8545/tcp": [{ HostPort: "8545" }],
            },
        };
    },
};
//# sourceMappingURL=constants.js.map