"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.restartGanache = exports.startGanache = void 0;
const Ganache = require("ganache-core");
const constants_1 = require("./constants");
function startGanache(argv) {
    return new Promise((resolve, reject) => {
        try {
            const server = Ganache.server({
                fork: argv.url,
                hostname: "0.0.0.0",
                mnemonic: argv.mnemonic && argv.mnemonic,
                unlocked_accounts: Object.values(constants_1.LIQUIDITY),
            });
            server.listen(8545, function (err, blockchain) {
                if (err)
                    reject(`Could not start a clone of mainnet\n${err}\nIs the HTTP endpoint correct? ${argv.url}`);
                resolve(server);
            });
        }
        catch (e) {
            reject(e);
        }
    });
}
exports.startGanache = startGanache;
function restartGanache(server, argv) {
    return new Promise((resolve, reject) => __awaiter(this, void 0, void 0, function* () {
        try {
            server.close(() => __awaiter(this, void 0, void 0, function* () {
                const newServer = yield startGanache(argv);
                if (newServer)
                    resolve(newServer);
            }));
        }
        catch (e) {
            reject(e);
        }
    }));
}
exports.restartGanache = restartGanache;
//# sourceMappingURL=ganache.js.map